plugins {
    `java-gradle-plugin`
    id("org.gradle.kotlin.kotlin-dsl")
    `maven-publish`
}

group = rootProject.group
version = rootProject.version

repositories {
    mavenCentral()
    gradlePluginPortal()
    maven {
        name = "Fabric"
        url = uri("https://maven.fabricmc.net/")
    }
}

publishing {
    repositories {
        if (project.hasProperty("maven")) {
            maven(project.property("maven") as String) {
                name = "dynamic"

                credentials(PasswordCredentials::class) {
                    username = System.getenv()["MAVEN_NAME"]
                    password = System.getenv()["MAVEN_TOKEN"]
                }
                authentication {
                    create<BasicAuthentication>("basic")
                }
            }
        }
        mavenLocal()
    }
}